AnsweredAssumed Answered

SSHPASS Error on MapR Enterprise Edition installation on Centos 6.7

Question asked by cespo_99 on Apr 29, 2016
Latest reply on May 2, 2016 by mufeed

Getting an error on EE install.  I can use sshpass with both the root and mapr ids...

 

-04-29 09:56:02.752: command /usr/bin/yum --nogpgcheck -q -y install "{{ item.key }}-{{ item.value }}*" -> changed: => (item={'key': u'mapr-storm-supervisor', 'value': u'0.9.4'})

2016-04-29 09:56:24.570: command /usr/bin/yum --nogpgcheck -q -y install "{{ item.key }}-{{ item.value }}*" -> changed: => (item={'key': u'mapr-hivemetastore', 'value': u'1.2'})
2016-04-29 09:57:24.302: command /usr/bin/yum --nogpgcheck -q -y install "{{ item.key }}-{{ item.value }}*" -> changed: => (item={'key': u'mapr-spark-historyserver', 'value': u'1.5.2'})
2016-04-29 09:57:36.161: command /usr/bin/yum --nogpgcheck -q -y install "{{ item.key }}-{{ item.value }}*" -> changed: => (item={'key': u'mapr-flume', 'value': u'1.6.0'})
2016-04-29 09:59:25.942: command /usr/bin/yum --nogpgcheck -q -y install "{{ item.key }}-{{ item.value }}*" -> changed: => (item={'key': u'mapr-oozie', 'value': u'4.1.0'})
2016-04-29 09:59:33.055: command /usr/bin/yum --nogpgcheck -q -y install "{{ item.key }}-{{ item.value }}*" -> changed: => (item={'key': u'mapr-hiveserver2', 'value': u'1.2'})
2016-04-29 10:00:32.190: command /usr/bin/yum --nogpgcheck -q -y install "{{ item.key }}-{{ item.value }}*" -> changed: => (item={'key': u'mapr-drill', 'value': u'1.4'})
2016-04-29 10:01:18.736: command /usr/bin/yum --nogpgcheck -q -y install "{{ item.key }}-{{ item.value }}*" -> changed: => (item={'key': u'mapr-impala-statestore', 'value': u'2.2.0'})
2016-04-29 10:01:25.713: command /usr/bin/yum --nogpgcheck -q -y install "{{ item.key }}-{{ item.value }}*" -> changed: => (item={'key': u'mapr-storm-nimbus', 'value': u'0.9.4'})
2016-04-29 10:01:40.880: command /usr/bin/yum --nogpgcheck -q -y install "{{ item.key }}-{{ item.value }}*" -> changed: => (item={'key': u'mapr-sqoop2-server', 'value': u'2.0.0'})
2016-04-29 10:01:45.584: command /usr/bin/yum --nogpgcheck -q -y install "{{ item.key }}-{{ item.value }}*" -> changed: => (item={'key': u'mapr-storm-ui', 'value': u'0.9.4'})
2016-04-29 10:02:15.259: command /usr/bin/yum --nogpgcheck -q -y install "{{ item.key }}-{{ item.value }}*" -> changed: => (item={'key': u'mapr-pig', 'value': u'0.15'})
2016-04-29 10:02:15.274: fatal: [wodbprd01] => to use the 'ssh' connection type with passwords, you must install the sshpass program

 

My tests:

 

RPM sshpass-1.05-1.e16.x86_64 is installed

The following works:  ssh root@wodbprd01 and sshpass -p 'xxxx' ssh root@wodbprd01

 

I'm installing EE on Centos 6.7  using the following: Hadoop Download | MapR

 

Ideas where to check next? Thanks! Chris

Outcomes